<?php
# récup des invités
$memberGuests = db_fetch_array(main_db_query("SELECT COUNT(*) AS total FROM Guests WHERE FatherPId='".$player['Id']."' AND Member > 0"));
$guests = main_db_query("SELECT * FROM Guests WHERE FatherPId='".$player['Id']."' ORDER BY Id ASC");
$nbGuests = db_num_rows($guests);

# il vient de valider la relance
if (isset($relance))
{
	$r = 0;
	$strMail = "";
	while($guest = db_fetch_array($guests))
	{
		$var = "gemail".$guest['Id'];
		$strMail .= ($$var == 1) ? $guest['Email']."," : "" ;
	}

	$strMail = substr($strMail, 0, -1);
	db_data_seek($guests, 0);
	list($relanceError, $r) = invite($strMail, $player, $member, $message, false);
	
	if (empty($relanceError))
	{
		$relanceError = "Vos filleuls sélectionnés ont été relancés !";
		
	}
}

if ($nbGuests == 0)
{
	$textGuests = "Pour l'instant vous n'avez invité personne. N'hésitez pas à inviter vos amis et vos collègues à se mesurer à vous !<br><br>";
}
else
{
	$textGuests = "A ce jour, vous avez invité <b>".$nbGuests."</b> personne".(($nbGuests > 1) ? "s" : "").". ";
	//var_dump($memberGuests['total']);
	switch($memberGuests['total'])
	{
		case 0:
		$textGuests .= "Pour l'instant aucun ne s'est transformé en filleul.";
		break;
	
		case 1:
		$textGuests .= "1 invité s'est transformé en filleul.";
		break;
	
		default:
		$textGuests .= $memberGuests['total']." invités se sont transformés en filleuls.";
		break;
	}
	$textGuests .= "<br><br><div class=smallBoldDark>Souhaitez-vous relancer vos amis ?</div><br>";
}

$form_action = $sess->action($ADD_FRIENDS_PAGE."#rel");
$form_name = "rela";


include("invitation_relance.inc");


?>